Extending Qt Creator Manual | Highlighter

Extending Qt Creator Manual 4.3.0

# Highlighter Class

(TextEditor::Highlighter)

Inherits: | TextEditor::SyntaxHighlighter

- List of all members, including inherited members

## Public Types

enum | TextFormatId { Normal, VisualWhitespace, Keyword, DataType, ..., Documentation }

## Public Functions

| Highlighter(QTextDocument *parent = 0)
virtual | ~Highlighter()
void | setDefaultContext(const QSharedPointer<Internal::Context> &defaultContext)
void | setTabSettings(const TabSettings &ts)

- 4 public functions inherited from TextEditor::SyntaxHighlighter

## Reimplemented Protected Functions

virtual void | highlightBlock(const QString &text)

- 14 protected functions inherited from TextEditor::SyntaxHighlighter

### Additional Inherited Members

- 2 public slots inherited from TextEditor::SyntaxHighlighter
- 1 static public member inherited from TextEditor::SyntaxHighlighter
- 14 protected functions inherited from TextEditor::SyntaxHighlighter

## Member Type Documentation

### enum Highlighter::TextFormatId

## Member Function Documentation

### Highlighter::Highlighter(QTextDocument *parent = 0)

Default constructs an instance of Highlighter.

### `[virtual]` Highlighter::~Highlighter()

Destroys the instance of Highlighter. The destructor is virtual.

### `[virtual protected]` void Highlighter::highlightBlock(const QString &text)

### void Highlighter::setDefaultContext(const QSharedPointer<Internal::Context> &defaultContext)

### void Highlighter::setTabSettings(const TabSettings &ts)